Skip to main content
`Ctrl`+`K`

# PetscFVSetComponentName

Set the name of a component (used in output and viewing) in a `PetscFV`

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetComponentName(PetscFV fvm, PetscInt comp, const char *name)

Logically Collective

## Input Parameters

- fvm - the `PetscFV` object

- comp - the component number

- name - the component name

## See Also

`PetscFV`, `PetscFVGetComponentName()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

## Examples

src/ts/tutorials/ex11.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages